Create an internal transfer
curl --request POST \
--url https://thirdparty.qonto.com/v2/internal_transfers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Qonto-Idempotency-Key: <x-qonto-idempotency-key>' \
--data '
{
"internal_transfer": {
"debit_iban": "IT12M3609201600032486198434",
"credit_iban": "IT13M3609201600032486198435",
"reference": "Internal transfer",
"amount": "12345.67",
"currency": "EUR"
}
}
'import requests
url = "https://thirdparty.qonto.com/v2/internal_transfers"
payload = { "internal_transfer": {
"debit_iban": "IT12M3609201600032486198434",
"credit_iban": "IT13M3609201600032486198435",
"reference": "Internal transfer",
"amount": "12345.67",
"currency": "EUR"
} }
headers = {
"X-Qonto-Idempotency-Key": "<x-qonto-idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Qonto-Idempotency-Key': '<x-qonto-idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
internal_transfer: {
debit_iban: 'IT12M3609201600032486198434',
credit_iban: 'IT13M3609201600032486198435',
reference: 'Internal transfer',
amount: '12345.67',
currency: 'EUR'
}
})
};
fetch('https://thirdparty.qonto.com/v2/internal_transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"internal_transfer": {
"id": "0ded2767-f44d-48b4-9e98-b8b6d9359c07",
"slug": "yottanet-6666-1-transfer-52",
"status": "pending",
"amount": 12.33,
"amount_cents": 1233,
"currency": "EUR",
"reference": "Internal transfer",
"created_at": "2021-05-11T10:22:55.090Z"
}
}Internal Transfers
Create an internal transfer
OAuth scope: internal_transfer.write
Creates a single instant transfer between 2 bank accounts of the authenticated organization.
You can obtain the bank accounts’ IBAN through the GET /v2/organization endpoint.
POST
/
v2
/
internal_transfers
Create an internal transfer
Authorizations
OAuthSecretKey
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Learn more in Idempotent Requests.
Example:
"123e4567-e89b-12d3-a456-426614174000"
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Body
application/json
Show child attributes
Show child attributes
Response
Returns the internal transfer created.
Show child attributes
Show child attributes
Was this page helpful?
⌘I